import { FunctionComponent } from "react";
import { IconProps } from "./type";

export const ReplayIcon: FunctionComponent<IconProps> = ({className = ""}) => {
  return (
    <svg
      width="20"
      height="20"
      viewBox="0 0 23 19"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
      className={className}
    >
      <path
        d="M10.7897 18.925C10.4897 18.925 10.1897 18.8125 9.92718 18.625L0.964682 11.425C0.402182 10.975 0.064682 10.3 0.064682 9.5875C0.064682 8.875 0.402182 8.2 0.964682 7.75L9.92718 0.549997C10.3397 0.212498 10.9022 0.174997 11.3522 0.399997C11.8397 0.624997 12.1022 1.1125 12.1022 1.6375V5.4625C15.1397 5.95 17.9147 7.3 20.0147 9.3625C21.4772 10.8625 22.1897 12.25 22.6022 14.35C22.6772 14.8 22.7522 15.625 22.7522 16.7125C22.7522 17.2 22.4897 17.6875 22.0397 17.9125C21.5897 18.1375 21.0647 18.1375 20.6522 17.875C17.5022 15.85 14.5772 14.6125 12.1022 14.2375V17.6125C12.1022 18.1375 11.8022 18.5875 11.3522 18.85C11.1647 18.8875 10.9772 18.925 10.7897 18.925ZM11 1L1.42718 8.56314C1.06468 8.9 0.903658 9.26921 0.903658 9.5875C0.903658 10.0889 1.20218 10.5554 1.42718 10.7429L11 18L11.2318 14.2375C11.2318 14.0125 11.2022 13.575 11.3522 13.425C11.5397 13.275 11.8772 13.1785 12.1022 13.216C15.5897 13.441 19 15.5 21.5 17C22 16 21.5375 14.3875 21.5 14.2375C21.1625 12.475 20.7375 11.775 19.5 10.5C17.5125 8.55 14.4625 6.8 11.5 6.5C11.0875 6.4625 11 5.9125 11 5.5V1Z"
        fill="currentColor"
      />
    </svg>
  );
};